=== debian/changelog ===
scons-doc (2.4.1+repack-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream applied debain/patch/0100-license.patch.
  * debian/control:
    - Change version of scons at Build-Depends and Suggests to >=2.4.
  * remove useless debian/source.lintian-overrides.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 16 Nov 2015 09:21:29 +0100
