=== debian/control ===
Source: scons-doc
Section: doc
Priority: optional
Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends:
 debhelper (>= 9),
 scons (>= 2.4)
Build-Depends-Indep:
 docbook-utils,
 docbook-xml,
 fop,
 jade,
 python-libxml2,
 python-libxslt1
Standards-Version: 3.9.6
Homepage: http://www.scons.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/scons-doc.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/scons-doc.git

Package: scons-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: scons (>= 2.4)
Description: Documentation for SCons, a replacement for Make
 SCons is a make replacement providing a range of enhanced features such
 as automated dependency generation and built in compilation cache
 support.  SCons rule sets are Python scripts so as well as the features
 it provides itself SCons allows you to use the full power of Python
 to control compilation.
 .
 This package provides the SCons User's guide.
