=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack(.*)// \
http://sf.net/scons/scons-src-(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian debian/repack.sh
