## scons-doc 2.5.0+repack

=== SConstruct ===
--- 
+++ 
@@ -3,13 +3,13 @@
 #
 # See the README.rst file for an overview of how SCons is built and tested.
 
-copyright_years = '2001 - 2015'
+copyright_years = '2001 - 2016'
 
 # This gets inserted into the man pages to reflect the month of release.
-month_year = 'November 2015'
-
-#
-# Copyright (c) 2001 - 2015 The SCons Foundation
+month_year = 'April 2016'
+
+#
+# Copyright (c) 2001 - 2016 The SCons Foundation
 #
 # Permission is hereby granted, free of charge, to any person obtaining
 # a copy of this software and associated documentation files (the
@@ -43,7 +43,7 @@
 import bootstrap
 
 project = 'scons'
-default_version = '2.4.1'
+default_version = '2.5.0'
 copyright = "Copyright (c) %s The SCons Foundation" % copyright_years
 
 platform = distutils.util.get_platform()
@@ -88,7 +88,6 @@
 gzip = whereis('gzip')
 rpmbuild = whereis('rpmbuild')
 hg = os.path.exists('.hg') and whereis('hg')
-svn = os.path.exists('.svn') and whereis('svn')
 unzip = whereis('unzip')
 zip = whereis('zip')
 
@@ -117,15 +116,10 @@
     version = default_version
 
 hg_status_lines = []
-svn_status_lines = []
 
 if hg:
     cmd = "%s status --all 2> /dev/null" % hg
     hg_status_lines = os.popen(cmd, "r").readlines()
-
-if svn:
-    cmd = "%s status --verbose 2> /dev/null" % svn
-    svn_status_lines = os.popen(cmd, "r").readlines()
 
 revision = ARGUMENTS.get('REVISION', '')
 def generate_build_id(revision):
@@ -145,17 +139,6 @@
                 result = result + '[MODIFIED]'
             return result
 
-if not revision and svn:
-    svn_info = os.popen("%s info 2> /dev/null" % svn, "r").read()
-    m = re.search('Revision: (\d+)', svn_info)
-    if m:
-        revision = m.group(1)
-        def generate_build_id(revision):
-            result = 'r' + revision
-            if [l for l in svn_status_lines if l[0] in 'ACDMR']:
-                result = result + '[MODIFIED]'
-            return result
-
 checkpoint = ARGUMENTS.get('CHECKPOINT', '')
 if checkpoint:
     if checkpoint == 'd':
@@ -236,7 +219,7 @@
 
     ("REVISION=",       "The revision number of the source being built.  " +
                         "The default is the Subversion revision returned " +
-                        "'svn info', with an appended string of " +
+                        "'hg heads', with an appended string of " +
                         "'[MODIFIED]' if there are any changes in the " +
                         "working copy."),
 
@@ -357,3 +340,17 @@
 
     def unzipit(env, target, source):
         print "Unzipping %s:" % str(source[0])
+        zf = zipfile.ZipFile(str(source[0]), 'r')
+        for name in zf.namelist():
+            dest = os.path.join(env['UNPACK_ZIP_DIR'], name)
+            dir = os.path.dirname(dest)
+            try:
+                os.makedirs(dir)
+            except:
+                pass
+            print dest,name
+            # if the file exists, then delete it before writing
+            # to it so that we don't end up trying to write to a symlink:
+            if os.path.isfile(dest) or os.path.islink(dest):
+                os.unlink(dest)
+            if not os.path.isdir(dest):
