=== debian/changelog ===
scons-doc (2.5.0+repack-1) unstable; urgency=medium

  * New upstream release:
    - Add Build-Depends-Indep openjdk-8-jre.
  * debian/control:
    - Bump Standards-Version to 3.9.7 (no changes required).
    - Use secure URIs.
    - Change version of Build-Depends scons to >= 2.5.
  * debian/watch:
    - Bump version to 4 (no changes required).
  * debian/copyright:
    - Add year 2016.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 10 Apr 2016 19:46:59 +0200
