=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
  debhelper (>= 9),
- scons (>= 2.4)
+ scons (>= 2.5)
 Build-Depends-Indep:
+ openjdk-8-jre,
  docbook-utils,
  docbook-xml,
  fop,
  jade,
  python-libxml2,
  python-libxslt1
-Standards-Version: 3.9.6
-Homepage: http://www.scons.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/scons-doc.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/scons-doc.git
+Standards-Version: 3.9.7
+Homepage: https://www.scons.org/
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/scons-doc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/scons-doc.git
 
 Package: scons-doc
 Architecture: all
