## scons-doc 2.5.1+repack

=== SConstruct ===
--- 
+++ 
@@ -6,7 +6,7 @@
 copyright_years = '2001 - 2016'
 
 # This gets inserted into the man pages to reflect the month of release.
-month_year = 'April 2016'
+month_year = 'November 2016'
 
 #
 # Copyright (c) 2001 - 2016 The SCons Foundation
@@ -43,7 +43,7 @@
 import bootstrap
 
 project = 'scons'
-default_version = '2.5.0'
+default_version = '2.5.1'
 copyright = "Copyright (c) %s The SCons Foundation" % copyright_years
 
 platform = distutils.util.get_platform()
