=== debian/changelog ===
scons-doc (2.5.1+repack-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change version of Suggests scons to >= 2.5.
  * debian/copyright:
    - Add year 2017 to debian/*
  * Bump compat to 10:
    - Change debian/compat to 10.
    - Change debhelper version at debian/control to >= 10.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 07 Jan 2017 21:45:58 +0100

scons-doc (2.5.0+repack-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove Build-Depends on jade. (Closes: #840256)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 23 Nov 2016 16:35:49 +0100
