=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  scons (>= 2.5)
 Build-Depends-Indep:
  openjdk-8-jre,
  docbook-utils,
  docbook-xml,
  fop,
- jade,
  python-libxml2,
  python-libxslt1
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://www.scons.org/
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/scons-doc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/scons-doc.git
@@ -22,7 +21,7 @@
 Package: scons-doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: scons (>= 2.4)
+Suggests: scons (>= 2.5)
 Description: Documentation for SCons, a replacement for Make
  SCons is a make replacement providing a range of enhanced features such
  as automated dependency generation and built in compilation cache
